// DumpStatisticsDlg.h : 헤더 파일
//

#pragma once

#include "DirDialog.h"

class CDumpFileParser ;

// CDumpStatisticsDlg 대화 상자
class CDumpStatisticsDlg : public CDialog
{
private :
	CDirDialog			m_DirDialog ;
	CDumpFileParser*	m_pDumpFileParser ;
// 생성
public:
	CDumpStatisticsDlg(CWnd* pParent = NULL);	// 표준 생성자

// 대화 상자 데이터
	enum { IDD = IDD_DUMPSTATISTICS_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 지원

// 구현
protected:
	HICON m_hIcon;

	// 메시지 맵 함수를 생성했습니다.
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedBtncurrentdirectory();
	afx_msg void OnBnClickedBtndumpprocessing();
	afx_msg void OnDestroy();
	afx_msg void OnNMCustomdrawDumpprogress(NMHDR *pNMHDR, LRESULT *pResult);
	CString m_DumpFile;
	CString m_strBasePath;
};
